Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.beans.factory.xml
Class DelegatingEntityResolver

    java.lang.Object
      org.springframework.beans.factory.xml.DelegatingEntityResolver

All Implemented Interfaces:
  org.xml.sax.EntityResolver

Direct Known Subclasses:
  ResourceEntityResolver

    public class DelegatingEntityResolver

extends java.lang.Object
implements org.xml.sax.EntityResolver

`EntityResolver` implementation that delegates to a `BeansDtdResolver` and a `PluggableSchemaResolver` for DTDs and XML schemas, respectively.

Since:
  2.0
Author:
  Rob Harrop, Juergen Hoeller, Rick Evans
See Also:
  `BeansDtdResolver`, `PluggableSchemaResolver`

Field Summary
`static java.lang.String` | `DTD_SUFFIX` Suffix for DTD files
`static java.lang.String` | `XSD_SUFFIX` Suffix for schema definition files

Constructor Summary
`DelegatingEntityResolver(java.lang.ClassLoader classLoader)` Create a new DelegatingEntityResolver that delegates to a default `BeansDtdResolver` and a default `PluggableSchemaResolver`.
`DelegatingEntityResolver(org.xml.sax.EntityResolver dtdResolver, org.xml.sax.EntityResolver schemaResolver)` Create a new DelegatingEntityResolver that delegates to the given `EntityResolvers`.

Method Summary
`org.xml.sax.InputSource` | `resolveEntity(java.lang.String publicId, java.lang.String systemId)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### DTD_SUFFIX

    public static final java.lang.String DTD_SUFFIX

  Suffix for DTD files

  See Also:
    Constant Field Values

### XSD_SUFFIX

    public static final java.lang.String XSD_SUFFIX

  Suffix for schema definition files

  See Also:
    Constant Field Values

Constructor Detail

### DelegatingEntityResolver

    public DelegatingEntityResolver(java.lang.ClassLoader classLoader)

  Create a new DelegatingEntityResolver that delegates to a default `BeansDtdResolver` and a default `PluggableSchemaResolver`.

  Configures the `PluggableSchemaResolver` with the supplied `ClassLoader`.

  Parameters:
    `classLoader` - the ClassLoader to use for loading (can be `null`) to use the default ClassLoader)

### DelegatingEntityResolver

    public DelegatingEntityResolver(org.xml.sax.EntityResolver dtdResolver,
                                    org.xml.sax.EntityResolver schemaResolver)

  Create a new DelegatingEntityResolver that delegates to the given `EntityResolvers`.

  Parameters:
    `dtdResolver` - the EntityResolver to resolve DTDs with
    `schemaResolver` - the EntityResolver to resolve XML schemas with

Method Detail

### resolveEntity

    public org.xml.sax.InputSource resolveEntity(java.lang.String publicId,
                                                 java.lang.String systemId)
                                          throws org.xml.sax.SAXException,
                                                 java.io.IOException

  Specified by:
    `resolveEntity` in interface `org.xml.sax.EntityResolver`
  Throws:
    `org.xml.sax.SAXException`
    `java.io.IOException`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD